Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Apr 2021 09:30:34 +0300

> Date: Sat, 17 Apr 2021 20:59:52 +0000
> From: Gregory Heytings <[email-masked]>
> Cc: [email-masked], [email-masked],
>  Stefan Kangas <[email-masked]>, [email-masked]
> 
> I checked on macOS, and the only apps (at least, the only apps among the 
> ones I use) that repeatedly beep are the terminal and Emacs.  Other apps 
> only beep when you do something "wrong", that is, when they cannot do what 
> you want (for example when you ask the program to paste something when 
> there is nothing to paste), or when they open an important dialog.  The 
> terminal also beeps when it cannot do what you want (for example when you 
> press TAB and it cannot complete the current input).  In comparison, Emacs 
> beeps a lot.

Emacs beeps a lot if you do things that make it beep.  Like try to go
where no one has gone before.

By contrast, other apps beep when they see fit.  A MUA plays sounds
when a new email arrives; the desktop beeps when it has some
notification that it thinks you must see and act upon, etc. etc.

I don't see how Emacs is the odd one out here.

And we are bikeshedding again: the opinions are clearly divided, and
Emacs lets each one of us customize this feature as they see fit.  So
why is arguing about the default so important, when there's clearly no
consensus?  I say let's just close the issue as wontfix and move on.